Bug 71738 - hard lock-up with SMP
hard lock-up with SMP
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
high Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-17 07:07 EDT by Chris Runge
Modified: 2008-08-01 12:22 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Runge 2002-08-17 07:07:45 EDT
Description of Problem:

I have a fairly predictable (insofar as I know it will happen, just not exactly
when) problem with the system completely locking up when using the SMP kernel
under X. If I leave the computer for long enough and the screensaver kicks I'm
assured a lockup after some period of time (within a couple of hours).

The lockup is a complete one: I can't CTRL-ALT-BACKSPACE, I can't ping the
system, I can't CTRL-ALT-DEL, and I can't even ALT-SysRq-K (yes, I've enabled
SysRq to try to deal with this problem).

So far in my tests I have not had any problems with this if I use the uniproc
kernel.

I've just disabled DRI to see if that helps.

Version-Release number of selected component (if applicable):

Null-re0816.3 (previous Milan and Limbo releases as well, however)

[crunge@mothership data]$ rpm -q kernel-smp
kernel-smp-2.4.18-11
[crunge@mothership data]$ rpm -q kernel
kernel-2.4.18-11
[crunge@mothership data]$ rpm -q XFree86
XFree86-4.2.0-65

How Reproducible:

100% thus far

Steps to Reproduce:
1. install Workstation class system
2. startx
3. leave computer for several hours

Actual Results:


Expected Results:


Additional Information:
	
graphics card is Radeon 7500
sound card is SB Audigy (problem happened with SB Live! as well, however)
ServerWorks III HE-SL chipset
2xP3 1GHz
512 MB RAM
Comment 1 Chris Runge 2002-08-18 09:21:04 EDT
some additional information based on some tests I've done:

card             kernel       DRI          locks-up?
----------------------------------------------------
radeon 7500      SMP          y            y
radeon 7500      SMP          n            n
radeon 7500      uni          y            n
matrox g450      SMP          y            n

basically, everything except the radeon 7500 running on an SMP kernel with DRI
works -- perhaps there is a race condition in the radeon driver?

fwiw, I have the same problems with the radeon/smp/dri config under 7.3 as well
Comment 2 Chris Runge 2002-08-26 08:05:09 EDT
still an issue with Null
Comment 3 Chris Runge 2002-10-28 15:53:53 EST
still an issue with 8.0 final

I've tried removing all PCI cards and fiddling with the BIOS settings yet I can
still reproduce this. If it isn't an issue in the radeon code then perhaps there
is a problem with the serverworks agpgart code when run on SMP, but since the
latter chipset is only used on SMP systems I find this hard to believe.

Any ideas?
Comment 4 Mike A. Harris 2002-11-08 12:41:19 EST
Does this occur with 8.0 plus all released erratum?
Comment 5 Bugzilla owner 2004-09-30 11:39:51 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.